Bug 1185021 - Review Request: gap-pkg-spinsym - GAP package for Brauer tables of spin-symmetric groups
Summary: Review Request: gap-pkg-spinsym - GAP package for Brauer tables of spin-symme...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1185020
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-22 17:30 UTC by Jerry James
Modified: 2015-02-09 05:28 UTC (History)
2 users (show)

Fixed In Version: gap-pkg-spinsym-1.5-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 05:28:41 UTC
Type: ---
zbyszek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2015-01-22 17:30:07 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-spinsym/gap-pkg-spinsym.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-spinsym/gap-pkg-spinsym-1.5-1.fc22.src.rpm
Fedora Account System Username: jjames
Description: This package contains some p-modular character tables of Schur covers of symmetric and alternating groups.  It also provides some more functionalities related to these groups, for example, a method to construct character tables of their maximal Young subgroups.

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-01-30 03:33:21 UTC
Please change find . -name ._\* | xargs rm -f
 to find . -name ._\* -delete

It's short and not vulnerable to spaces and bash special characters in the name.

/usr/lib/gap/pkg/spinsym/COPYING should be %excluded.

rpmlint:
gap-pkg-spinsym.noarch: E: explicit-lib-dependency gap-pkg-ctbllib
It's fine. The dependency is not detected automatically.

gap-pkg-spinsym.noarch: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
gap-pkg-spinsym.noarch: W: only-non-binary-in-usr-lib
gap-pkg-spinsym.src: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
2 packages and 0 specfiles checked; 1 errors, 3 warnings.

All OK.

Package is trivial, license is OK and specified upstream, I see no issues.

Package is APPROVED.

Comment 2 Jerry James 2015-01-30 05:10:01 UTC
Thank you so much for the reviews!  If you need something reviewed in exchange, please let me know.  I will make the changes above when I import this package.

Comment 3 Jerry James 2015-01-30 18:31:39 UTC
New Package SCM Request
=======================
Package Name: gap-pkg-spinsym
Short Description: GAP package for Brauer tables of spin-symmetric groups
Upstream URL: https://www.uni-due.de/~s400304/spinsym/
Owners: jjames
Branches: f21
InitialCC:

Comment 4 Gwyn Ciesla 2015-01-30 18:53:36 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-01-30 23:29:46 UTC
gap-pkg-spinsym-1.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gap-pkg-spinsym-1.5-1.fc21

Comment 6 Fedora Update System 2015-02-01 00:26:22 UTC
gap-pkg-spinsym-1.5-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 7 Fedora Update System 2015-02-09 05:28:41 UTC
gap-pkg-spinsym-1.5-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.